%define anolis_release 1
%bcond_with check
%global srcname joblib

Name:  		python-%{srcname}
Version: 	1.2.0
Release: 	%{anolis_release}%{?dist}
Summary: 	Lightweight pipelining: using Python functions as pipeline jobs

License: 	BSD
URL: 		https://joblib.readthedocs.io
Source0: 	%{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel

%description
Joblib is a set of tools to provide lightweight pipelining in Python.
In particular, joblib offers:
 * transparent disk-caching of the output values and lazy
   re-evaluation (memorize pattern)
 * easy simple parallel computing
 * logging and tracing of the execution

%package -n python3-%{srcname}
Summary: %{summary}

%description -n python3-%{srcname}
Joblib is a set of tools to provide lightweight pipelining in Python.
In particular, joblib offers:
 * transparent disk-caching of the output values and lazy
   re-evaluation (memorize pattern)
 * easy simple parallel computing
 * logging and tracing of the execution

%package -n python3-%{srcname}-doc
Summary:        Documentation files for %{name}
Requires:       python3-%{srcname} = %{version}-%{release}
BuildArch:      noarch

%description -n python3-%{srcname}-doc
The python3-%{srcname}-doc package contains documentation files for python3-%{srcname}.

# Testing
%if %{with check}
BuildRequires:  %{py3_dist pytest}
BuildRequires:  %{py3_dist numpy}
BuildRequires:  %{py3_dist lz4}
BuildRequires:  %{py3_dist psutil} 
BuildRequires:  %{py3_dist threadpoolctl}
%endif

Recommends: %{py3_dist numpy}
Recommends: %{py3_dist lz4}
Recommends: %{py3_dist psutil} 
Provides: bundled(python3dist(loky)) = 2.9.0
Provides: bundled(python3dist(cloudpickle)) = 1.6.0

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%if %{with check}
%check
%pytest \
 --deselect "joblib/test/test_memory.py::test_parallel_call_cached_function_defined_in_jupyter" \
 --deselect "joblib/test/test_numpy_pickle.py::test_compress_mmap_mode_warning" \
 --deselect "joblib/test/test_parallel.py::test_threadpool_limitation_in_child" \
 --deselect "joblib/test/test_parallel.py::test_threadpool_limitation_in_child_context" \
  joblib

%endif

%files -n python3-%{srcname}
%license LICENSE.txt
%{python3_sitelib}/%{srcname}-*.egg-info
%{python3_sitelib}/%{srcname}

%files -n python3-%{srcname}-doc
%doc README.rst

%changelog
* Mon Nov 28 2022 happy_orange <songnannan@linux.alibaba.com> - 1.2.0-1
- init package from upstream
